From 1d7357e6d44de5efefdbfaf3cdba5a1ecc5b442e Mon Sep 17 00:00:00 2001
From: Brian West <brian@freeswitch.org>
Date: Mon, 15 Dec 2008 18:14:53 +0000
Subject: [PATCH] FSSCRIPTS-10 thanks Sergey

git-svn-id: http://svn.freeswitch.org/svn/freeswitch/trunk@10775 d0543943-73ff-0310-b7d9-9358b9ac24b2
---
 build/freeswitch.init.archlinux | 35 +++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 build/freeswitch.init.archlinux

diff --git a/build/freeswitch.init.archlinux b/build/freeswitch.init.archlinux
new file mode 100644
index 0000000000..c0285c3a8f
--- /dev/null
+++ b/build/freeswitch.init.archlinux
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# freeswitch.sh - startup script for freeswitch
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+
+    start)
+    if [ -x /var/freeswitch/bin/freeswitch ] ; then
+      stat_busy "freeswitch starting..."
+
+      /var/freeswitch/bin/freeswitch -nc &
+      add_daemon freeswitch
+      stat_done
+    fi
+    ;;
+
+    stop)
+    if [ -x /var/freeswitch/bin/freeswitch ] ; then
+      stat_busy "freeswitch stopping..."
+
+      /var/freeswitch/bin/freeswitch -stop &
+      rm_daemon freeswitch
+      stat_done
+    fi
+    ;;
+
+    *)
+    echo "usage: $0 { start | stop }" >&2
+    exit 1
+    ;;
+
+esac